#version 130

in vec4 vertex;
out vec2 texCoords;

uniform mat4 projection;
uniform mat4 camera;
uniform mat4 model;

void main()
{
	texCoords = vertex.zw;
	gl_Position = projection * camera * model * vec4(vertex.xy, 0.0, 1.0);
}
